[Buildroot] [PATCH] package/libmicrohttpd: minor fixes and additions

Arnout Vandecappelle arnout at mind.be
Tue Jun 25 21:25:38 UTC 2013


On 25/06/13 21:08, Carsten Schoenert wrote:
> From: Carsten Schoenert <c.schoenert at gmail.com>
>
> Correcting the indentation inside Config.in. Also adding the missed
> license information.
>
> Note: libmicrohttpd is partialy dual licensed, if you don't need or want
> to use the HTTPS option you can choose between LPGLv2.1 and the eCos
> license (http://ecos.sourceware.org/license-overview.html).
> If you use the HTTPS option you have to agree to the LGPLv2.1!
>
> Signed-off-by: Carsten Schoenert <c.schoenert at gmail.com>
> ---
>   package/libmicrohttpd/Config.in        |   14 +++++++-------
>   package/libmicrohttpd/libmicrohttpd.mk |    5 ++++-
>   2 files changed, 11 insertions(+), 8 deletions(-)
>
> diff --git a/package/libmicrohttpd/Config.in b/package/libmicrohttpd/Config.in
> index 2e4de0f..5c20ba6 100644
> --- a/package/libmicrohttpd/Config.in
> +++ b/package/libmicrohttpd/Config.in
> @@ -8,13 +8,13 @@ config BR2_PACKAGE_LIBMICROHTTPD
>   	  http://www.gnu.org/software/libmicrohttpd/
>
>   config BR2_PACKAGE_LIBMICROHTTPD_SSL
> -       bool "https support"
> -       depends on BR2_PACKAGE_LIBMICROHTTPD
> -       depends on BR2_USE_WCHAR
> -       select BR2_PACKAGE_GNUTLS
> -       select BR2_PACKAGE_LIBGCRYPT
> -       help
> -         Enable HTTPS (SSL) support.
> +	bool "https support"
> +	depends on BR2_PACKAGE_LIBMICROHTTPD
> +	depends on BR2_USE_WCHAR
> +	select BR2_PACKAGE_GNUTLS
> +	select BR2_PACKAGE_LIBGCRYPT
> +	help
> +	  Enable HTTPS (SSL) support.
>
>   comment "libmicrohttpd needs a toolchain with thread support"
>   	depends on !BR2_TOOLCHAIN_HAS_THREADS
> diff --git a/package/libmicrohttpd/libmicrohttpd.mk b/package/libmicrohttpd/libmicrohttpd.mk
> index 697cbf5..40ef197 100644
> --- a/package/libmicrohttpd/libmicrohttpd.mk
> +++ b/package/libmicrohttpd/libmicrohttpd.mk
> @@ -6,12 +6,15 @@
>
>   LIBMICROHTTPD_VERSION = 0.9.27
>   LIBMICROHTTPD_SITE = $(BR2_GNU_MIRROR)/libmicrohttpd
> +LIBMICROHTTPD_LICENSE = LGPLv2.1 eCos

  Quick check tells me it's LGPLv2.1+

  I would write "LGPLv2.1+ or eCos license" to make the choice more 
explicit, else it looks as if both licenses apply.

> +LIBMICROHTTPD_LICENSE_FILE = COPYING
>   LIBMICROHTTPD_INSTALL_STAGING = YES
>
>   ifeq ($(BR2_PACKAGE_LIBMICROHTTPD_SSL),y)
>   LIBMICROHTTPD_DEPENDENCIES += gnutls libgcrypt
>   LIBMICROHTTPD_CONF_OPT += --enable-https --with-gnutls=$(STAGING_DIR)/usr \
> -			  --with-libgcrypt-prefix=$(STAGING_DIR)/usr
> +						  --with-libgcrypt-prefix=$(STAGING_DIR)/usr
> +LIBMICROHTTPD_LICENSE = LGPLv2.1

  We would typically put the LGPLv2.1 or eCos option in the else branch 
of the condition, rather than overwriting it.

  Regards,
  Arnout

>   else
>   LIBMICROHTTPD_CONF_OPT += --disable-https
>   endif
>


-- 
Arnout Vandecappelle                          arnout at mind be
Senior Embedded Software Architect            +32-16-286500
Essensium/Mind                                http://www.mind.be
G.Geenslaan 9, 3001 Leuven, Belgium           BE 872 984 063 RPR Leuven
LinkedIn profile: http://www.linkedin.com/in/arnoutvandecappelle
GPG fingerprint:  7CB5 E4CC 6C2E EFD4 6E3D A754 F963 ECAB 2450 2F1F


More information about the buildroot mailing list